Changelog
All notable changes to the current API will be documented here. See: API lifecycle.
Changes that affect multiple APIs are documented in the general changelog.
May 2026​
- Added
allowedCountriesto theshippingobject on the create payment endpoint. Accepts a list of ISO 3166-1 alpha-2 country codes to restrict which countries are available for shipping in Express payments.
March 2026​
- Added PSP support via the new
CARD_PASSTHROUGHpayment method type. PSPs can now create payments where the user's card token is sent to a PSP-controlled callback URL for processing. This requires:paymentMethod.typeset toCARD_PASSTHROUGH- A new
cardPassthroughobject in the create payment request body, specifying the callback URL, allowed card types, and optionally a public encryption key ID for receiving encrypted PANs - The
Psp-Idheader on all requests - See ePayment PSP API guide for details.
September 2025​
- v1.8.1:
- Profile sharing now returns
userDetailsdirectly in theGET:/epayment/v1/payments/{reference}response and theepayments.payment.authorized.v1webhook payload. TheuserDetailsobject contains the profile fields you requested viaprofile.scope:email,firstName,lastName,mobileNumber,dateOfBirth, andaddresses. Previously, retrieving this data required a separate call to the Userinfo API. See Profile sharing for details.
- Profile sharing now returns
August 2025​
- v1.8.0: Express is launched.
Express lets customers select shipping options and confirm their delivery details directly inside the Vipps or MobilePay app, without being redirected to the merchant's website. Merchants can provide fixed or dynamic shipping options. The final amount — including shipping — is shown to the user before they confirm payment.
- Requires sales unit approval. Contact your key account manager, partner manager, or customer service to request access.
- Available in Norway, Denmark, and Finland.
- See Express feature guide and How Express works for details.
January 2025​
-
v1.7.0: We have bumped the maximum
referencelength from 50 to 64 characters. -
v1.6.0: We have added error codes to the ePayment API errors. This will allow you to more accurately map the errors to your application. For details, see ePayment API errors.
The text for the following error messages have been changed as follows:
- 5070 - "Payment cannot be created":
- Changed HTTP status code from 400 to 422.
- Changed detail to append "missing precondition, or incorrect merchant setup".
- 5100 - "Refund not possible":
- Changed detail from "Cannot refund single transferred payments" to "Cannot refund payment due to a configuration problem".
- 6060 - "Cannot cancel pending":
- Changed title from "Cannot cancel pending" to "Cannot cancel authorized payment".
- Changed detail from "Cannot cancel a pending payment" to "This payment is authorized and cannot be cancelled when
CancelTransactionOnlyis set".
- 6160 - "Order processing":
- Changed detail from "Too many concurrent requests. The payment is being processed" to "Order locked and is already processing".
November 2024​
- Landing page: More robust handling of retries. See General changelog for details.
August 2024​
Added taxRate to the optional order details, to allow decimal points in the tax lines.
July 2024​
-
v1.6.0: Added
minimumUserAgefield to create payment endpoint payload. If set, only customers above the given age are allowed to authorize the payment. -
v1.5.0: Added
cancelTransactionOnlyflag to Cancel endpoint payload. If the flag is set and the transaction has been authorized, the reserved amount will not be cancelled.
September 2023​
- v1.4.0: Added
DKKandEURcurrencies. Only allowed for Danish and Finnish merchants, respectively.
August 2023​
- v1.3.0: Added
metadatato the create payment endpoint:POST:/epayment/v1/payments. Themetadatais returned in the/epayment/v1/payments/{reference}
July 2023​
- v1.2.3: Added the possibility of sending order details to the
create payment
endpoint:
POST:/epayment/v1/payments. Order details are provided by the Order Management API.
June 2023​
- v1.2.2: Added
personalQrto theCustomerproperties of the create payment endpoint:POST:/epayment/v1/payments.
May 2023​
- v1.2.1: Removed the deprecated
paymentActionproperties.
April 2023​
- v1.1.4: Added the
Force Approve a payment
endpoint:
POST:/epayment/v1/payments/{reference}/approve.
March 2023​
- v1.1.3: Removed direct capture from the ePayment API.
- v1.1.2: Removed
receiptfrom the create payment endpoint:POST:/epayment/v1/payments.
December 2022​
- ePayment API v1.1.1